sql_quote {dplyr} | R Documentation

## Helper function for quoting sql elements.

### Description

If the quote character is present in the string, it will be doubled. `NA`s will be replaced with NULL.

### Usage

    sql_quote(x, quote)

### Arguments

`x` | Character vector to escape.
`quote` | Single quoting character.

### Examples

    sql_quote("abc", "'")
    sql_quote("I've had a good day", "'")
    sql_quote(c("abc", NA), "'")

[Package dplyr version 0.4.3 Index]